# class Chef::ChefFS::FileSystem::OperationNotAllowedError

### Attributes

entry[R]
operation[R]

### Public Class Methods

new(operation, entry, cause = nil) click to toggle source
Calls superclass method Chef::ChefFS::FileSystem::FileSystemError.new

    # File lib/chef/chef_fs/file_system/operation_not_allowed_error.rb, line 25
    def initialize(operation, entry, cause = nil)
      super(entry, cause)
      @operation = operation
    end

### Public Instance Methods

reason() click to toggle source

    # File lib/chef/chef_fs/file_system/operation_not_allowed_error.rb, line 33
    def reason
      case operation
      when :delete
        "cannot be deleted"
      when :write
        "cannot be updated"
      when :create_child
        "cannot have a child created under it"
      when :read
        "cannot be read"
      end
    end